Index: apps/app_followme.c
===================================================================
--- apps/app_followme.c	(revision 167018)
+++ apps/app_followme.c	(working copy)
@@ -76,6 +76,7 @@
 "    a    - Record the caller's name so it can be announced to the callee on each step\n" 
 "    n    - Playback the unreachable status message if we've run out of steps to reach the\n"
 "           or the callee has elected not to be reachable.\n"
+"    d    - Disable the prompt 'Please hold while we try to connect your call' streamed\n"
 "Returns -1 on hangup\n";
 
 /*! \brief Number structure */
@@ -142,13 +143,15 @@
 enum {
 	FOLLOWMEFLAG_STATUSMSG = (1 << 0),
 	FOLLOWMEFLAG_RECORDNAME = (1 << 1),
-	FOLLOWMEFLAG_UNREACHABLEMSG = (1 << 2)
+	FOLLOWMEFLAG_UNREACHABLEMSG = (1 << 2),
+	FOLLOWMEFLAG_DISABLEHOLDPROMPT = (1 << 3)
 };
 
 AST_APP_OPTIONS(followme_opts, {
 	AST_APP_OPTION('s', FOLLOWMEFLAG_STATUSMSG ),
 	AST_APP_OPTION('a', FOLLOWMEFLAG_RECORDNAME ),
 	AST_APP_OPTION('n', FOLLOWMEFLAG_UNREACHABLEMSG ),
+	AST_APP_OPTION('d', FOLLOWMEFLAG_DISABLEHOLDPROMPT ),
 });
 
 static int ynlongest = 0;
@@ -1032,10 +1035,12 @@
 		if (!ast_fileexists(namerecloc, NULL, chan->language))
 			ast_copy_string(namerecloc, "", sizeof(namerecloc));					
 
-		if (ast_streamfile(chan, targs.plsholdprompt, chan->language))
-			goto outrun;
-		if (ast_waitstream(chan, "") < 0)
-			goto outrun;
+		if (!ast_test_flag(&targs.followmeflags, FOLLOWMEFLAG_DISABLEHOLDPROMPT)) {
+			if (ast_streamfile(chan, targs.plsholdprompt, chan->language))
+				goto outrun;
+			if (ast_waitstream(chan, "") < 0)
+				goto outrun;
+		}
 		ast_moh_start(chan, S_OR(targs.mohclass, NULL), NULL);
 
 		targs.status = 0;
